#ifndef DISHESITEM_H
#define DISHESITEM_H

#include <QDialog>
#include "Model/dishesObject.h"
#include "dishesPickForm.h"

namespace Ui {
class dishesItem;
}

class dishesItem : public QDialog
{
    Q_OBJECT

public:
    explicit dishesItem(dishesObject dishesObj, QWidget *parent = 0);
    ~dishesItem();

    void Init(dishesObject dishesObj);

    dishesObject m_dishesObj;

private:
    Ui::dishesItem *ui;

    QString m_channelCode;

    DishesPickForm *m_pickForm;

signals:
    // 通知工作线程更新上下架状态
     void doUpdDishes(QString ,QMap<QString, int> dishes);

private slots:
     void on_disItemBtn_clicked();

public slots:
     void onUpdDishesFinsh(QStringList channels, QString dishesId, int status);
};

#endif // DISHESITEM_H
